Page MenuHomeVyOS Platform

On IPv6 address distribution and DHCPv6 bugs
Closed, ResolvedPublicBUG

Description

I found that the DHCPv6 server did not work after I upgraded. I executed the following command to report an error:

set interfaces ethernet eth1 address dhcpv6

The command will be wrong, easy to repeat!

In operation mode:

restart dhcpv6 server

The command reports the following errors:

Failed to restart isc-dhcpv6-server.service: Unit isc-dhcpv6-server.service not found.

Under the same configuration, my computer used to get the internal IPv6 address from vyos DHCPv6 and eui64. I don't know why, after upgrading vyos, IPv6 can't be obtained! It is suspected that there may be serious bugs in IPv6!

Details

Difficulty level
Unknown (require assessment)
Version
vyos-1.3-rolling-202004210117
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)
Issue type
Bug (incorrect behavior)

Event Timeline

jack9603301 renamed this task from Unable to use DHCPv6 to On IPv6 address distribution and DHCPv6 bugs.Apr 21 2020, 11:11 AM

I'm working on T2345, but the root issues probably aren't the same. Do you have service router-advert configured, and is it on a bridged interface? Then the cause is T2345. If not (if you have router-advert and dhcpv6-server on a eth interface) then this is a different issue.

restart dhcpv6 server might just have the wrong name of the interface, which changed recently. The service is now named isc-dhcp-server6 and status can be seen with sudo systemctl status isc-dhcp-server6.

Execute sudo systemctl status isc-dhcp-server6 output:

[email protected]:~$ sudo systemctl status isc-dhcp-server6
● isc-dhcp-server6.service - ISC DHCP IPv6 server
   Loaded: loaded (/lib/systemd/system/isc-dhcp-server6.service; disabled; vendo
   Active: inactive (dead)
     Docs: man:dhcpd(8)

I try to check the configuration for the following configuration, but unfortunately I still can't get the IPv6 address!

interface br1 {
}
interface br2 {
    name-server fc00:410:f1cd:101::1
}

My fix for that was merged 7 hours ago so your 202004210117 image doesn't contain it. https://github.com/vyos/vyos-1x/commit/c7d8e39be10a59d64be643cade2213c97f1e3639

IPv6 on bridges is still broken, I'm working on it right now.

Thank you very much! I hope to get the restored rolling image tomorrow or in the next few days. If it is repaired, can you reply me through this list?

jack9603301 changed the task status from Open to In progress.Apr 22 2020, 4:06 AM
jjakob changed the task status from In progress to Needs testing.Apr 23 2020, 8:14 PM

Please test with a image built after April 23 20:44 (no image is built yet, the next one should have the fix for T2362 included)

At present, relevant functions are normal after virtual machine test! New bug found, see T2379 for details

erkin set Issue type to Bug (incorrect behavior).Aug 30 2021, 6:43 AM
erkin removed a subscriber: Active contributors.